## khronos-opencl-man 1.0~svn22836

=== xhtml/Makefile ===
#!gmake

# This Makefile is used to transform OpenCL reference pages in DocBook XML format to HTML web pages.
# Directory structure:
#
#    man/      -- contains .xml input files
#    man/xhtml -- contains Makefile, CSS, build tools, and .html output files

# XSLT processor - other possibilities like Saxon exist
XSLT	= xsltproc --nonet

SED	= sed
MV	= mv

# Location of locally customized stylesheet, which imports
# the Docbook modular stylesheets, and specifically the
# stylesheet to convert Docbook+MathML => XHTML+MathML
DB2XHTML = opencl-man.xsl

# Additional global dependencies that should cause a re-build of all pages:
ADDTL_DEPS = copyright.inc.xsl styles-css.xsl pageNumberLookup.rb

# Filter program to fix up links to specification page numbers:
PAGENUM_FIXUP = ./pageNumberLookup.rb

.SUFFIXES: .gl .xml .html .xhtml .ck.xhtml .tex .pdf .3G .tar .tar.gz
#.PHONY: man html

HTMLFILES = \
	abstractDataTypes.html \
	abs.html \
	accessQualifiers.html \
	acos.html \
	add_sat.html \
	any.html \
	as_typen.html \
	asin.html \
	asyncCopyFunctions.html \
	async_work_group_copy.html \
	async_work_group_strided_copy.html \
	atan.html \
	atomic_add.html \
	atom_add.html \
	atomic_and.html \
	atom_and.html \
	atomic_cmpxchg.html \
	atom_cmpxchg.html \
	atomic_dec.html \
	atom_dec.html \
	atomic_inc.html \
	atom_inc.html \
	atomic_max.html \
	atom_max.html \
	atomic_min.html \
	atom_min.html \
	atomic_or.html \
	atom_or.html \
	atom_sub.html \
	atomic_sub.html \
	atomic_xchg.html \
	atom_xchg.html \
	atomic_xor.html \
	atom_xor.html \
	atomicFunctions.html \
	attribute.html \
	attributes-blocksAndControlFlow.html \
	attributes-types.html \
	attributes-variables.html \
	barrier.html \
	bitselect.html \
	cbrt.html \
	ceil.html \
	clamp.html \
	classDiagram.html \
	clBuildProgram.html \
	clCompileProgram.html \
	clCreateBuffer.html \
	clCreateCommandQueue.html \
	clCreateContext.html \
	clCreateContextFromType.html \
	clCreateEventFromGLsyncKHR.html \
	clCreateFromD3D10Texture2DKHR.html \
	clCreateFromD3D11Texture2DKHR.html \
	clCreateFromD3D10Texture3DKHR.html \
	clCreateFromD3D11Texture3DKHR.html \
	clCreateFromD3D10BufferKHR.html \
	clCreateFromD3D11BufferKHR.html \
	clCreateFromGLBuffer.html \
	clCreateFromGLRenderbuffer.html \
	clCreateFromGLTexture.html \
	clCreateFromDX9MediaSurfaceKHR.html \
	clCreateImage.html \
	clCreateKernel.html \
	clCreateKernelsInProgram.html \
	clCreateProgramWithBinary.html \
	clCreateProgramWithSource.html \
	clCreateProgramWithBuiltInKernels.html \
	clCreateSampler.html \
	clCreateSubBuffer.html \
	clCreateSubDevices.html \
	clCreateUserEvent.html \
	clEnqueueAcquireD3D10ObjectsKHR.html \
	clEnqueueAcquireD3D11ObjectsKHR.html \
	clEnqueueAcquireGLObjects.html \
	clEnqueueAcquireDX9MediaSurfacesKHR.html \
	clEnqueueBarrierWithWaitList.html \
	clEnqueueCopyBuffer.html \
	clEnqueueCopyBufferRect.html \
	clEnqueueCopyImage.html \
	clEnqueueCopyBufferToImage.html \
	clEnqueueCopyImageToBuffer.html \
	clEnqueueFillBuffer.html \
	clEnqueueFillImage.html \
	clEnqueueMapBuffer.html \
	clEnqueueMapImage.html \
	clEnqueueMarkerWithWaitList.html \
	clEnqueueMigrateMemObjects.html \
	clEnqueueNDRangeKernel.html \
	clEnqueueNativeKernel.html \
	clEnqueueReadBuffer.html \
	clEnqueueReadBufferRect.html \
	clEnqueueReadImage.html \
	clEnqueueReleaseD3D10ObjectsKHR.html \
	clEnqueueReleaseD3D11ObjectsKHR.html \
	clEnqueueReleaseDX9MediaSurfacesKHR.html \
	clEnqueueWriteBuffer.html \
	clEnqueueWriteBufferRect.html \
	clEnqueueWriteImage.html \
	clEnqueueReleaseGLObjects.html \
	clEnqueueTask.html \
	clEnqueueUnmapMemObject.html \
	clFinish.html \
	clFlush.html \
	clGetCommandQueueInfo.html \
	clGetContextInfo.html \
	clGetDeviceIDs.html \
	clGetDeviceIDsFromD3D10KHR.html \
	clGetDeviceIDsFromD3D11KHR.html \
	clGetDeviceIDsFromDX9MediaAdapterKHR.html \
	clGetDeviceInfo.html \
	clGetEventInfo.html \
	clGetEventProfilingInfo.html \
	clGetExtensionFunctionAddressForPlatform.html \
	clGetGLContextInfoKHR.html \
	clGetGLObjectInfo.html \
	clGetGLTextureInfo.html \
	clGetImageInfo.html \
	clGetKernelInfo.html \
	clGetKernelArgInfo.html \
	clGetKernelWorkGroupInfo.html \
	clGetMemObjectInfo.html \
	clGetPlatformIDs.html \
	clGetPlatformInfo.html \
	clGetProgramBuildInfo.html \
	clGetProgramInfo.html \
	clGetSamplerInfo.html \
	clGetSupportedImageFormats.html \
	clIcdGetPlatformIDsKHR.html \
	cl_image_format.html \
	cl_khr_3d_image_writes.html \
	cl_khr_dx9_media_sharing.html \
	cl_khr_d3d10_sharing.html \
	cl_khr_d3d11_sharing.html \
	cl_khr_fp16.html \
	cl_khr_fp64.html \
	cl_khr_icd.html \
	cl_khr_int64_base_atomics.html \
	cl_khr_int64_extended_atomics.html \
	clLinkProgram.html \
	clReleaseCommandQueue.html \
	clReleaseContext.html \
	clReleaseDevice.html \
	clReleaseEvent.html \
	clReleaseKernel.html \
	clReleaseMemObject.html \
	clReleaseProgram.html \
	clReleaseSampler.html \
	clRetainCommandQueue.html \
	clRetainContext.html \
	clRetainDevice.html \
	clRetainEvent.html \
	clRetainKernel.html \
	clRetainMemObject.html \
	clRetainProgram.html \
	clRetainSampler.html \
	clSetEventCallback.html \
	clSetMemObjectDestructorCallback.html \
	clSetKernelArg.html \
	clSetUserEventStatus.html \
	clUnloadPlatformCompiler.html \
	clWaitForEvents.html \
	clz.html \
	commonFunctions.html \
	commonMin.html \
	commonMax.html \
	constant.html \
	convert_T.html \
	copysign.html \
	cos.html \
	cross.html \
	dataTypes.html \
	degrees.html \
	deprecated.html \
	distance.html \
	divide.html \
	dot.html \
	enums.html \
	erf.html \
	exp.html \
	explicitMemoryFenceFunctions.html \
	EXTENSION.html \
	fabs.html \
	fast_distance.html \
	fast_length.html \
	fast_normalize.html \
	fdim.html \
	floor.html \
	fma.html \
	fmax.html \
	fmin.html \
	fmod.html \
	FP_CONTRACT.html \
	fract.html \
	frexp.html \
	functionQualifiers.html \
	geometricFunctions.html \
	get_global_id.html \
	get_global_offset.html \
	get_global_size.html \
	get_group_id.html \
	get_image_array_size.html \
	get_image_channel_data_type.html \
	get_image_channel_order.html \
	get_image_depth.html \
	get_image_dim.html \
	get_image_height.html \
	get_image_width.html \
	get_local_id.html \
	get_local_size.html \
	get_num_groups.html \
	get_work_dim.html \
	cl_khr_gl_event.html \
	cl_khr_gl_sharing.html \
	global.html \
	hadd.html \
	hypot.html \
	ilogb.html \
	imageDescriptor.html \
	imageFunctions.html \
	integerClamp.html \
	integerFunctions.html \
	integerMax.html \
	isequal.html \
	isfinite.html \
	isgreater.html \
	isgreaterequal.html \
	isinf.html \
	isless.html \
	islessequal.html \
	islessgreater.html \
	isnan.html \
	isnormal.html \
	isnotequal.html \
	isordered.html \
	isunordered.html \
	ldexp.html \
	length.html \
	lgamma.html \
	local.html \
	log.html \
	macroLimits.html \
	mad.html \
	mad24.html \
	mad_hi.html \
	mad_sat.html \
	mag.html \
	mathConstants.html \
	mathFunctions.html \
	mem_fence.html \
	miscVectorFunctions.html \
	mix.html \
	modf.html \
	mul24.html \
	mul_hi.html \
	nan.html \
	nextafter.html \
	normalize.html \
	operators.html \
	otherDataTypes.html \
	popcount.html \
	pow.html \
	prefetch.html \
	preprocessorDirectives.html \
	printfFunction.html \
	private.html \
	qualifiers.html \
	radians.html \
	recip.html \
	relationalFunctions.html \
	read_imagef1d.html \
	read_imagef2d.html \
	read_imagef3d.html \
	read_imagei1d.html \
	read_imagei2d.html \
	read_imagei3d.html \
	read_imageh1d.html \
	read_imageh2d.html \
	read_imageh3d.html \
	read_mem_fence.html \
	remainder.html \
	remquo.html \
	reservedDataTypes.html \
	restrictions.html \
	rint.html \
	rootn.html \
	rotate.html \
	round.html \
	sampler_t.html \
	scalarDataTypes.html \
	select.html \
	shuffle.html \
	sign.html \
	signbit.html \
	sin.html \
	smoothstep.html \
	sqrt.html \
	step.html \
	storageQualifiers.html \
	sub_sat.html \
	supportedImageFormats.html \
	tan.html \
	tgamma.html \
	trunc.html \
	upsample.html \
	vec_step.html \
	vectorDataLoadandStoreFunctions.html \
	vectorDataTypes.html \
	vloadn.html \
	vload_half.html \
	vload_halfn.html \
	vloada_halfn.html \
	vstoren.html \
	vstore_half.html \
	vstore_halfn.html \
	vstorea_halfn.html \
	wait_group_events.html \
	workItemFunctions.html \
	write_image1d.html \
	write_image2d.html \
	write_image3d.html \
	write_mem_fence.html

# The following rule accomplishes several things:
# 1. First, the xsltproc program transforms .xml into HTML format.
# 2. Next, a certain string regarding "xml-stylesheet" is replaced. We
#    don't know why, but that's how the OpenGL build tools worked, so we
#    follow the same convention for OpenCL.
# 2a. Replace all occurrences of '<strong>fsfunc' with
#    '<strong class="fsfunc">'. This works around a bug in the
#    docbook-xsl 1.76.1 stylesheets. More recent stylesheet releases
#    don't have this bug, but they aren't installed everywhere. See
#    http://sourceforge.net/tracker/?func=detail&aid=3481384&group_id=21935&atid=373747
# 3. Then we replace all occurrences of 'target="_top"' with
#    'target="pagedisplay" so that linked pages will open in the same
#    frame. We couldn't figure out how to modify the Docbook rules to
#    change the target attribute, so we just do it here.
# 4. Finally, we replace a particular string regarding
#    "xhtml1-transitional.dtd", again based on the OpenGL build. This
#    is so that references to the DTD don't cause spurious hits on
#    the W3C web server (IE does this, although it doesn't need to).
%.html: ../%.xml $(DB2XHTML) $(ADDTL_DEPS)
	$(XSLT) --xinclude -o $@.tmp1 $(DB2XHTML) $<
	$(SED) 's/<?xml-stylesheet/<!-- saved from url=(0013)about:internet -->\n<?xml-stylesheet/g' $@.tmp1 | \
	$(SED) -e 's/<strong>fsfunc/<strong class="fsfunc">/g' \
	       -e 's/target="_top"/target="pagedisplay"/' \
	       -e 's#http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd#xhtml1-transitional.dtd#g' > $@.tmp2
	$(PAGENUM_FIXUP) $@.tmp2 > $@.tmp3
	$(MV) $@.tmp3 $@
	$(RM) $@.tmp[123]

default: $(HTMLFILES)

clean:
	$(RM) $(HTMLFILES)

clobber:
	$(RM) $(HTMLFILES)

# The following XML include files dependencies can be generated with:
#    cd ../man
#    grep '!ENTITY' *.xml | sed -e 's/:.*SYSTEM "/: ..\//' -e 's/">//' -e 's/\.xml:/.html:/'

abs.html: ../integerFunctionsInc.xml
acos.html: ../mathFunctionsInc.xml
add_sat.html: ../integerFunctionsInc.xml
any.html: ../relationalFunctionsInc1.xml
any.html: ../relationalFunctionsIGEN.xml
asin.html: ../mathFunctionsInc.xml
atan.html: ../mathFunctionsInc.xml
bitselect.html: ../relationalFunctionsInc1.xml
bitselect.html: ../relationalFunctionsGEN.xml
cbrt.html: ../mathFunctionsInc.xml
ceil.html: ../mathFunctionsInc.xml
clamp.html: ../commonFunctionsInc.xml
clBuildProgram.html: ../buildOptionsInc.xml
clCompileProgram.html: ../buildOptionsInc.xml
clCreateBuffer.html: ../clCreate_memflagsInc.xml
clCreateFromD3D10BufferKHR.html: ../sharingD3D10Inc.xml
clCreateFromD3D10Texture2DKHR.html: ../sharingD3D10Inc.xml
clCreateFromD3D10Texture3DKHR.html: ../sharingD3D10Inc.xml
clCreateFromD3D11BufferKHR.html: ../sharingD3D11Inc.xml
clCreateFromD3D11BufferKHR.html: ../accessMappedInc.xml
clCreateFromD3D11Texture2DKHR.html: ../sharingD3D11Inc.xml
clCreateFromD3D11Texture2DKHR.html: ../accessMappedInc.xml
clCreateFromD3D11Texture3DKHR.html: ../sharingD3D11Inc.xml
clCreateFromD3D11Texture3DKHR.html: ../accessMappedInc.xml
clCreateFromDX9MediaSurfaceKHR.html: ../mediaSurfaceFormatsInc.xml
clCreateFromDX9MediaSurfaceKHR.html: ../accessMappedInc.xml
clCreateFromGLRenderbuffer.html: ../gl_formatsInc.xml
clCreateImage.html: ../clCreate_memflagsInc.xml
clCreateSubBuffer.html: ../clCreate_memflagsInc.xml
clCreateSubDevices.html: ../clCreate_memflagsInc.xml
clEnqueueAcquireD3D10ObjectsKHR.html: ../sharingD3D10Inc.xml
clEnqueueAcquireD3D11ObjectsKHR.html: ../sharingD3D11Inc.xml
clEnqueueAcquireD3D11ObjectsKHR.html: ../accessMappedInc.xml
clEnqueueAcquireDX9MediaSurfacesKHR.html: ../mediaSurfaceFormatsInc.xml
clEnqueueAcquireDX9MediaSurfacesKHR.html: ../accessMappedInc.xml

=== debian/changelog ===
khronos-opencl-man (1.0~svn22836-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with current Ruby version. (Closes: #735653)
    + Incl. patch from Rebecca Palmer: Explicitly set text encoding to
      UTF-8 to allow building with newer Ruby versions.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 13 Feb 2014 02:36:29 +0100

khronos-opencl-man (1.0~svn22836-1) unstable; urgency=low

  * Do not delete index.html, remove lintian error
  * Move to Debian OpenCL Maintainers
  * Use canonical URLs for debian VCS

 -- Mathieu Malaterre <malat@debian.org>  Mon, 26 Aug 2013 14:08:13 +0200

khronos-opencl-man (1.0~svn21772-1) unstable; urgency=low

  * Initial Debian Upload

 -- Mathieu Malaterre <malat@debian.org>  Tue, 21 May 2013 18:06:15 +0200

=== debian/control ===
Source: khronos-opencl-man
Section: doc
Priority: extra
Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Build-Depends: debhelper (>= 9), docbook-mathml (>= 1.1~), w3-dtd-mathml, docbook-xsl, xsltproc, ruby
Standards-Version: 3.9.4
Homepage: http://www.khronos.org/registry/cl/sdk/1.2/docs/man/xhtml/
Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opencl-man/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opencl-man/

Package: opencl-1.2-html-doc
Architecture: all
Depends: ${misc:Depends}, doc-base
Description: OpenCL 1.2 documentation - html pages
 OpenCL (Open Computing Language) is an open royalty-free standard for general
 purpose parallel programming across CPUs, GPUs and other processors, giving
 software developers portable and efficient access to the power of these
 heterogeneous processing platforms.
 .
 OpenCL supports a wide range of applications, ranging from embedded and
 consumer software to HPC solutions, through a low-level, high-performance,
 portable abstraction. By creating an efficient, close-to-the-metal programming
 interface, OpenCL will form the foundation layer of a parallel computing
 ecosystem of platform-independent tools, middleware and applications.
 .
 OpenCL consists of an API for coordinating parallel computation across
 heterogeneous processors; and a cross-platform programming language with a
 well-specified computation environment. The OpenCL standard:
 .
  - Supports both data- and task-based parallel programming models
  - Utilizes a subset of ISO C99 with extensions for parallelism
  - Defines consistent numerical requirements based on IEEE 754
  - Defines a configuration profile for handheld and embedded devices
  - Efficiently interoperates with OpenGL, OpenGL ES, and other graphics APIs
 .
 The specification is divided into a core specification that any OpenCL
 compliant implementation must support; a handheld/embedded profile which
 relaxes the OpenCL compliance requirements for handheld and embedded devices;
 and a set of optional extensions that are likely to move into the core
 specification in later revisions of the OpenCL specification.
 .
 This is exactly the documentation that can be found at:
 http://www.khronos.org/registry/cl/sdk/1.2/docs/man/xhtml/clCreateBuffer.html

Package: opencl-1.2-man-doc
Provides: manpages-opencl
Architecture: all
Depends: ${misc:Depends}
Description: OpenCL 1.2 documentation - man pages (experimental)
 OpenCL (Open Computing Language) is an open royalty-free standard for general
 purpose parallel programming across CPUs, GPUs and other processors, giving
 software developers portable and efficient access to the power of these
 heterogeneous processing platforms.
 .
 OpenCL supports a wide range of applications, ranging from embedded and
 consumer software to HPC solutions, through a low-level, high-performance,
 portable abstraction. By creating an efficient, close-to-the-metal programming
 interface, OpenCL will form the foundation layer of a parallel computing
 ecosystem of platform-independent tools, middleware and applications.
 .
 OpenCL consists of an API for coordinating parallel computation across
 heterogeneous processors; and a cross-platform programming language with a
 well-specified computation environment. The OpenCL standard:
 .
  - Supports both data- and task-based parallel programming models
  - Utilizes a subset of ISO C99 with extensions for parallelism
  - Defines consistent numerical requirements based on IEEE 754
  - Defines a configuration profile for handheld and embedded devices
  - Efficiently interoperates with OpenGL, OpenGL ES, and other graphics APIs
 .
 The specification is divided into a core specification that any OpenCL
 compliant implementation must support; a handheld/embedded profile which
 relaxes the OpenCL compliance requirements for handheld and embedded devices;
 and a set of optional extensions that are likely to move into the core
 specification in later revisions of the OpenCL specification.
 .
 This is experimental man page package until support gets integrated upstream.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export ROOT=$(CURDIR)

%:
	dh $@

override_dh_clean:
	dh_clean xhtml/*.3clc
	dh_clean man/Makefile.xmldeps

pkg_xml = opencl-1.2-html-doc
pkg_man = opencl-1.2-man-doc

override_dh_installdocs:
	dh_installdocs -p$(pkg_xml) xhtml/*.html xhtml/*.css xhtml/*.jpg xhtml/*.gif

override_dh_installman:
	dh_installman -p$(pkg_man) man/*.3clc
	# d/copyright
	dh_installdocs -p$(pkg_man)

# no make install rule:
override_dh_auto_install:

get-orig-source:
	./debian/get-orig-source

## khronos-opencl-man 1.0~svn27110

=== Makefile ===
# Copyright (c) 2013 The Khronos Group Inc.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and/or associated documentation files (the
# "Materials"), to deal in the Materials without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Materials, and to
# permit persons to whom the Materials are furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Materials.
#
# THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
# CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
# TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
# MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.

LDIRT := $(wildcard gl*.xml)

COMMONPREF = standard
include $(ROOT)/usr/include/make/commondefs

SUBDIRS = \
	html \
	$(NULL)

default $(ALLTARGS): $(_FORCE)
	$(SUBDIRS_MAKERULE)

distoss:
	$(MAKE) $(COMMONPREF)$@
	$(SUBDIRS_MAKERULE)

include $(COMMONRULES)

XIFILES = baseformattable.xml \
	  compressedformattable.xml \
	  internalformattable.xml \
	  texboformattable.xml \
	  funchead.xml \
	  varhead.xml \
	  version.xml

# Docbook 5 Relax-NG with XInclude schema URLs and local filenames
DB5XIRNCURL = http://docbook.org/xml/5.0/rng/docbookxi.rnc
DB5XIRNC    = /usr/share/xml/docbook/schema/rng/5.0/docbookxi.rnc

XML = $(filter-out $(XIFILES),$(wildcard *.xml))
validate:
	jing -c $(DB5XIRNC) $(XML)

=== debian/changelog ===
khronos-opencl-man (1.0~svn27110-1) unstable; urgency=low

  [ Rebecca Palmer ]
  * Do not delete Opencl_header.html, Opencl_tofc.html,
    oclRefPages-Title.html
  * Remove runtime-fetched favicon.  Closes: #738635

  [ Mathieu Malaterre ]
  * Import new snapshot
  * Bump Std-Vers to 3.9.5, no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Wed, 18 Jun 2014 21:38:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,22 @@
 Section: doc
 Priority: extra
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>, Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
-Build-Depends: debhelper (>= 9), docbook-mathml (>= 1.1~), w3-dtd-mathml, docbook-xsl, xsltproc, ruby
-Standards-Version: 3.9.4
+Uploaders: Mathieu Malaterre <malat@debian.org>,
+           Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
+Build-Depends: debhelper (>= 9),
+               docbook-mathml (>= 1.1~),
+               docbook-xsl,
+               ruby,
+               w3-dtd-mathml,
+               xsltproc
+Standards-Version: 3.9.5
 Homepage: http://www.khronos.org/registry/cl/sdk/1.2/docs/man/xhtml/
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opencl-man/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opencl-man/
 
 Package: opencl-1.2-html-doc
 Architecture: all
-Depends: ${misc:Depends}, doc-base
+Depends: doc-base, ${misc:Depends}
 Description: OpenCL 1.2 documentation - html pages
  OpenCL (Open Computing Language) is an open royalty-free standard for general
  purpose parallel programming across CPUs, GPUs and other processors, giving

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 override_dh_clean:
 	dh_clean xhtml/*.3clc
 	dh_clean man/Makefile.xmldeps
+	dh_clean man/section-to-page.xml
 
 pkg_xml = opencl-1.2-html-doc
 pkg_man = opencl-1.2-man-doc

## khronos-opencl-man 1.0~svn33624

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,8 @@
 	  compressedformattable.xml \
 	  internalformattable.xml \
 	  texboformattable.xml \
+	  apifunchead.xml \
+	  apiversion.xml \
 	  funchead.xml \
 	  varhead.xml \
 	  version.xml

=== debian/changelog ===
khronos-opencl-man (1.0~svn33624-6) unstable; urgency=medium

  * Team upload.
  * Fix invalid xml rejected by xsltproc 1.1.43.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 01 Sep 2025 22:42:24 +0200

khronos-opencl-man (1.0~svn33624-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depends: drop unused w3-dtd-mathml (Closes: #1087752)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Mon, 18 Nov 2024 15:54:45 +0100

khronos-opencl-man (1.0~svn33624-5) unstable; urgency=medium

  * Team upload.
  * Switch to debhelper-compat (= 13).
  * Bump Standards-Version to 4.5.1. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Jan 2021 15:40:57 +0100

khronos-opencl-man (1.0~svn33624-4) unstable; urgency=medium

  * Team upload.
  * Mark opencl-1.2-man-doc as Multi-Arch: foreign.
  * Switch to debhelper-compat (= 12).
  * Bump Standards-Version to 4.3.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Feb 2019 15:45:52 +0100

khronos-opencl-man (1.0~svn33624-3) UNRELEASED; urgency=medium

  * unreleased

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Mar 2018 16:53:00 +0200

khronos-opencl-man (1.0~svn33624-2) unstable; urgency=medium

  * Team upload.
  * Convert packaging repository from SVN to GIT.
  * Simplify installation rules.
  * Use https:// URLs.
  * Fix copyright file syntax.
  * Set Rules-Requires-Root: no.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Mar 2018 17:00:34 +0100

khronos-opencl-man (1.0~svn33624-1) unstable; urgency=medium

  * New snapshot
  * Bump Std-Vers to 4.1.3. Update to Priority: optional.

 -- Mathieu Malaterre <malat@debian.org>  Wed, 03 Jan 2018 07:19:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: khronos-opencl-man
 Section: doc
-Priority: extra
+Priority: optional
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>,
-           Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
-Build-Depends: debhelper (>= 9),
-               docbook-mathml (>= 1.1~),
-               docbook-xsl,
-               ruby,
-               w3-dtd-mathml,
-               xsltproc
-Standards-Version: 3.9.5
-Homepage: http://www.khronos.org/registry/cl/sdk/1.2/docs/man/xhtml/
-Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opencl-man/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opencl-man/
+Uploaders:
+ Mathieu Malaterre <malat@debian.org>,
+ Giuseppe Bilotta <giuseppe.bilotta@gmail.com>,
+Build-Depends:
+ debhelper-compat (= 13),
+ docbook-mathml,
+ docbook-xsl,
+ ruby,
+ xsltproc,
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
+Homepage: https://www.khronos.org/registry/OpenCL/sdk/1.2/docs/man/xhtml/
+Vcs-Browser: https://salsa.debian.org/opencl-team/khronos-opencl-man
+Vcs-Git: https://salsa.debian.org/opencl-team/khronos-opencl-man.git
 
 Package: opencl-1.2-html-doc
 Architecture: all
-Depends: doc-base, ${misc:Depends}
+Depends:
+ doc-base,
+ ${misc:Depends},
 Description: OpenCL 1.2 documentation - html pages
  OpenCL (Open Computing Language) is an open royalty-free standard for general
  purpose parallel programming across CPUs, GPUs and other processors, giving
@@ -47,12 +51,15 @@
  specification in later revisions of the OpenCL specification.
  .
  This is exactly the documentation that can be found at:
- http://www.khronos.org/registry/cl/sdk/1.2/docs/man/xhtml/clCreateBuffer.html
+ https://www.khronos.org/registry/OpenCL/sdk/1.2/docs/man/xhtml/
 
 Package: opencl-1.2-man-doc
-Provides: manpages-opencl
 Architecture: all
-Depends: ${misc:Depends}
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Provides:
+ manpages-opencl,
 Description: OpenCL 1.2 documentation - man pages (experimental)
  OpenCL (Open Computing Language) is an open royalty-free standard for general
  purpose parallel programming across CPUs, GPUs and other processors, giving

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# used in upstream's build system
export ROOT=$(CURDIR)

%:
	dh $@

override_dh_clean:
	dh_clean xhtml/*.3clc
	dh_clean man/Makefile.xmldeps
	dh_clean man/section-to-page.xml

# no make install rule:
override_dh_auto_install:

get-orig-source:
	./debian/get-orig-source
